load("@ytt:data", "data")

def should_deploy_package(component):
    # Retrieve deployment configuration; if `deploy` is None, all components are considered for deployment by default
    deploy = data.values.internal.deploy

    # Check if the component is not explicitly excluded by using the should_deploy_component function
    is_component_allowed = should_deploy_component(component)

    # Determine if the component should be deployed:
    # - True if there is no explicit deploy list (deploy is None, implying all components are allowed), or
    # - True if the component is explicitly listed in the deploy configuration.
    # Additionally, the component must not be excluded by the should_deploy_component check.
    return (not deploy or component in deploy) and is_component_allowed
end

def should_deploy_component(component):
    # Get the list of components to exclude from deployment, defaulting to an empty list if not provided
    excludedComponents = data.values.internal.excludedComponents or []

    # Return True if the component identifier is not in the excludedComponents list
    return component not in excludedComponents
end

def auth_host():
  return data.values.authIngress.host or data.values.ingress.host
end

def auth_tls_secret_name():
  return "auth-tls"
end
